> ## Documentation Index
> Fetch the complete documentation index at: https://docs.novacal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Availability

> Retrieve availability ranges for a Novacal event type across a selected date window so you can show bookable times in your app.



## OpenAPI

````yaml GET /v1/availability
openapi: 3.1.0
info:
  title: Events API
  description: Public API for managing event types
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.novacal.io
security:
  - bearerAuth: []
paths:
  /v1/availability:
    get:
      description: >-
        Returns availability ranges for one of the authenticated user's event
        types.
      parameters:
        - name: start
          in: query
          description: Start date for the requested range
          required: true
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date for the requested range
          required: true
          schema:
            type: string
            format: date
        - name: event_type_id
          in: query
          description: Event type ID used to calculate availability
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Availability response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailabilityResponse'
components:
  schemas:
    AvailabilityResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          description: Indicates whether the request was successful
          type: boolean
          example: true
        data:
          $ref: '#/components/schemas/AvailabilityPayload'
    AvailabilityPayload:
      type: object
      properties:
        availability:
          description: Availability ranges grouped by date
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/AvailabilityRange'
          example:
            '2026-03-23':
              - start: '2026-03-23T09:00:00+00:00'
                end: '2026-03-23T17:00:00+00:00'
            '2026-03-24':
              - start: '2026-03-24T10:00:00+00:00'
                end: '2026-03-24T15:00:00+00:00'
    AvailabilityRange:
      type: object
      properties:
        start:
          description: Range start time in ISO 8601 format
          type: string
          format: date-time
        end:
          description: Range end time in ISO 8601 format
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````